import * as React from 'react';
import React__default from 'react';
import { useChatProps, RemotePeers, Message, ChatProps } from './types.js';
import 'peerjs';

declare function useChat({ name, peerId, remotePeerId, peerOptions, text, recoverChat, audio: allowed, onError, onMicError, onMessageSent, onMessageReceived, }: useChatProps): {
    peerId: string;
    audioStreamRef: React.RefObject<HTMLMediaElement | null>;
    remotePeers: RemotePeers;
    messages: Message[];
    sendMessage: (message: Message) => void;
    audio: boolean;
    setAudio: (value: boolean | ((old: boolean) => boolean)) => void;
};

declare const clearChat: () => void;

declare function Chat({ text, audio, onMessageReceived, dialogOptions, props, children, ...hookProps }: ChatProps): React__default.JSX.Element;

export { clearChat, Chat as default, useChat };
